2 gb max inbox

Bug #197290 reported by sari on 2008-03-01
138
This bug affects 14 people
Affects Status Importance Assigned to Milestone
Evolution
Fix Released
Critical
evolution (Ubuntu)
Medium
Ubuntu Desktop Bugs
Nominated for Lucid by Alfredo Matas

Bug Description

Binary package hint: evolution

ubuntu 7.10
evolution 2.12.1

1. the file inbox located in /home/sari/.evolution/mail/local is 2 gb big. searching the web tells me that this is the maximum possible - why?
2. evolution had problems to display the messages located in the inbox (not the subfolders). it gave errormessages, that the inbox is too big (sorry didnt screenshot them).
3. now evolution does not display a single message in inbox anymore - just the messages in the subfolders.
4. ever since that, evolution was not able to receive new messages from the server - clear.
5. renamed inbox (mailbox file) to inbox1
6. now evolution is able to receive the messages from the server.
7. please HELP how the can i few my 2 gb mails? it would be great to have a proper archive function!

TEST PACKAGE: see https://edge.launchpad.net/~hggdh2/+archive/ppa.

ProblemType: Bug
Architecture: i386
Date: Sat Mar 1 14:44:10 2008
DistroRelease: Ubuntu 7.10
ExecutablePath: /usr/bin/evolution
NonfreeKernelModules: fglrx
Package: evolution 2.12.1-0ubuntu1
PackageArchitecture: i386
ProcCmdline: evolution --component=mail
ProcCwd: /home/sari
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: evolution
Uname: Linux joker 2.6.22-14-generic #1 SMP Tue Feb 12 07:42:25 UTC 2008 i686 GNU/Linux

sari (sari) wrote :
TerryG (tgalati4) wrote :

Thanks for your bug submission. I thought that 2 GB was the maximum file size within the Linux file system for technical reasons. It could be 4 GB, but one bit is reserved for something. I wish I had a more authoritative link to give you.

Marking as Confirmed, since evolution needs a way to gracefully handle this use case. Gmail allows 4 GB so we need to keep up with the Jones.

Changed in evolution:
status: New → Confirmed
C de-Avillez (hggdh2) wrote :

Hello sari,

Current Linux (and glibc) do suport very large files; you are running such a system (Ubunut 7.10). I would like to get a bit more of data on what happened.

1. What is the underlying filesystem? Open a terminal window, and issue the following commands:

  mount # will list all mounted volumes
  df -k # will list the available and used space on the mounted volumes

then paste the output here. Also please state on which filesystem you have the Evo mailboxes.

2. what type of access do you use to GMail? Pop3, IMAP?

3. I understand you still have the large mailbox, but renamed. Please stop Evolution, and restart it from the command line as

  env CAMEL_DEBUG=all evolution --component=mail > evo.log 2>&1

Evo should start normally, and will throw into 'evo.log' a lot of diagnostic data. After Evo has fully started, please *attach* the resulting 'evo.log' here.

And we will have a look at it.

thanks for answering my request that fast - i didnt expect the
speed :-)

1.
$ mount
/dev/sda1 on / type ext3 (rw,errors=remount-ro)
proc on /proc type proc (rw,noexec,nosuid,nodev)
/sys on /sys type sysfs (rw,noexec,nosuid,nodev)
varrun on /var/run type tmpfs (rw,noexec,nosuid,nodev,mode=0755)
varlock on /var/lock type tmpfs (rw,noexec,nosuid,nodev,mode=1777)
udev on /dev type tmpfs (rw,mode=0755)
devshm on /dev/shm type tmpfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
lrm on /lib/modules/2.6.22-14-generic/volatile type tmpfs (rw)
securityfs on /sys/kernel/security type securityfs (rw)
nfsd on /proc/fs/nfsd type nfsd (rw)
binfmt_misc on /proc/sys/fs/binfmt_misc type binfmt_misc
(rw,noexec,nosuid,nodev)
/dev/scd0 on /media/cdrom0 type udf (ro,noexec,nosuid,nodev,user=sari)

$ df -k
Filesystem 1K-blocks Used Available Use% Mounted on
/dev/sda1 74999356 37281760 33907784 53% /
varrun 257664 216 257448 1% /var/run
varlock 257664 0 257664 0% /var/lock
udev 257664 56 257608 1% /dev
devshm 257664 0 257664 0% /dev/shm
lrm 257664 34696 222968
14% /lib/modules/2.6.22-14-generic/volatile
/dev/scd0 7910874 7910874 0 100% /media/cdrom0

2.
its a pop account but the mail are downloaded.

3.
evo.log was cerated while the inbox was still renamed to inbox1. so im
not sure if this is the output you are looking for since evolution works
ok after remnaiming the file. (the only thing in this situation, is that
i dont know how to access the 2gb file)
i also restored the original situation 2gb file is named inbox. started
evolution from the command line as you told me and attached the logfile
named evo1.log as well.
didnt compare the outputs so far.

On Mon, 2008-03-03 at 13:22 +0000, hggdh wrote:
> Hello sari,
>
> Current Linux (and glibc) do suport very large files; you are running
> such a system (Ubunut 7.10). I would like to get a bit more of data on
> what happened.
>
> 1. What is the underlying filesystem? Open a terminal window, and issue
> the following commands:
>
> mount # will list all mounted volumes
> df -k # will list the available and used space on the mounted volumes
>
> then paste the output here. Also please state on which filesystem you
> have the Evo mailboxes.
>
> 2. what type of access do you use to GMail? Pop3, IMAP?
>
> 3. I understand you still have the large mailbox, but renamed. Please
> stop Evolution, and restart it from the command line as
>
> env CAMEL_DEBUG=all evolution --component=mail > evo.log 2>&1
>
> Evo should start normally, and will throw into 'evo.log' a lot of
> diagnostic data. After Evo has fully started, please *attach* the
> resulting 'evo.log' here.
>
> And we will have a look at it.
>

Alvaro del Castillo (acs) wrote :

I have the same problem and in the error dialog Evolution said: "No se pudo crear un bloqueo de carpetas en /home/acs/.evolution/mail/local/Inbox: Archivo demasiado grande". A lock for folders can not be created in /home/acs/.evolution/mail/local/Inbox. File too big."

acs@reborn:local$ du -sh Inbox
2,1G Inbox

I have this problem this morning with Ubuntu 7.10.
I was afraid to loose my 2Gb mails... no solution through web, or very complicated.
And then I have an idea.
I search evolution for Windows http://shellter.sourceforge.net/evolution/

So I setup evolution for windows on a windows XP computer.
I archive my .evolution folder from my ubuntu computer on a external hard drive.

After I setup evolution for windows on the other computer I created an account and I can see that in Documents and Settings/MYNAME there was also a folder called .evolution.
I replace this one with the other from my hard drive (ubuntu's)

Windows evolution can read my 2Gb Inbox file !
So I create some indiviual archives.

Then I tried to copy all windows .evolution folder on my ubuntu and all is OK now !

This is the first time windows help me for my linux !

hi
its good to know that there is a workaround which functions!
anyway this cannot be the solution.

the thing which comes to my mind all the time is just a proper archive
function, so that the problem of the 2gb inbox is not arising at all.

On Wed, 12 Mar 2008 16:17:26 -0000, fgossart <email address hidden> wrote:
> I have this problem this morning with Ubuntu 7.10.
> I was afraid to loose my 2Gb mails... no solution through web, or very
> complicated.
> And then I have an idea.
> I search evolution for Windows
> http://shellter.sourceforge.net/evolution/
>
> So I setup evolution for windows on a windows XP computer.
> I archive my .evolution folder from my ubuntu computer on a external hard
> drive.
>
> After I setup evolution for windows on the other computer I created an
> account and I can see that in Documents and Settings/MYNAME there was
also
> a folder called .evolution.
> I replace this one with the other from my hard drive (ubuntu's)
>
> Windows evolution can read my 2Gb Inbox file !
> So I create some indiviual archives.
>
> Then I tried to copy all windows .evolution folder on my ubuntu and all
> is OK now !
>
> This is the first time windows help me for my linux !
>
>

C de-Avillez (hggdh2) wrote :

This is weird indeed. Theoretically 2.12 should sport support for > 2G. I cannot test it myself (I run on x86_64 -- automagic support for large files --, and Evo 2.22). Upstream confirmed that there *is*, huh, should be, such support on 2.12.x.

If any of you on i386 are running Hardy Evo 2.22, and could test, I would appreciate.

Meanwhile... I am looking for the issue in the code.

@fgossart -- can you give us more details on what you did? You state you installed Evo on Windows. The link you provided is for an Evo 2.8 version -- so it is certain that there *was* already support at 2.8 for large files. Also, you state you create some archives. What did you archive, and were these archives used on your Linux?

@all: since when (version, if possible) have you been running Evo? Before 2.8? This might be related to previously created mailboxes (before >2G support), not newly created ones.

fgossart (fabrice-gossart) wrote :

I thought it was good explained (perhaps bad translation cause I'm french)
I have ubuntu 7.10 and evolution 2.12.1
When I have the 2Gb bug I transfer all my .evolution folder ( /home/fgossart/.evolution ) on a externel hard drive formated fat 32.

Then I setup evolution for windows, and setup a new account.
in Windows XP, I can see now /Documents and Settings/fgossart/.evolution
So I tried to replace all the .evolution with the one from my Ubuntu stored on the hard drive

And When I launched evolution on windows, there was no problem reading my 2gb Inbox !
All the files Windows or Ubuntu are ok.
So on evolution windows, I create an archive folder and transfer all my current Inbox in this archive folder.

Then I put the .evolution from windows to linux in my /home/fgossart/.evolution.

I think the 2Gb bug is only on Linux, not on windows. It doesn't matter the release for windows is older, the files structures are the same

On Thu, 2008-03-13 at 12:19 +0000, hggdh wrote:
> @all: since when (version, if possible) have you been running Evo?
> Before 2.8? This might be related to previously created mailboxes
> (before >2G support), not newly created ones.

i started in late summer 2007 to use evo, cannot remember the exact version.... sorry.
my inbox is exactly 2gb

fgossart (fabrice-gossart) wrote :

what do you want for me exactly ?

Are you looking for a solution to recover your emails ?

Le vendredi 14 mars 2008 à 10:54 +0000, sari a écrit :
> On Thu, 2008-03-13 at 12:19 +0000, hggdh wrote:
> > @all: since when (version, if possible) have you been running Evo?
> > Before 2.8? This might be related to previously created mailboxes
> > (before >2G support), not newly created ones.
>
> i started in late summer 2007 to use evo, cannot remember the exact version.... sorry.
> my inbox is exactly 2gb
>

C de-Avillez (hggdh2) wrote :

I am checking upstream for any ideas. Right now, the only recourse I see is open an upstream bug, but I would like it to receive attention quickly.

C de-Avillez (hggdh2) on 2008-03-14
Changed in evolution:
status: Confirmed → Triaged
importance: Undecided → Medium
fgossart (fabrice-gossart) wrote :

for me, I have found how to recover my 2Gb mails.
I have found a way to open it with another release, and then archive in
some folders.

So my problem is solved now, but I have to check again the size of the
Inbox to avoid having this problem again.
Le vendredi 14 mars 2008 à 15:00 +0000, hggdh a écrit :
> I am checking upstream for any ideas. Right now, the only recourse I see
> is open an upstream bug, but I would like it to receive attention
> quickly.
>

Changed in evolution:
status: Unknown → New
Changed in evolution:
assignee: nobody → desktop-bugs
C de-Avillez (hggdh2) wrote :

Fix has been commited upstream to both 2.23 and 2.22.

Changed in evolution:
status: Triaged → Fix Committed
C de-Avillez (hggdh2) wrote :

Upstream reopened the bug -- the error is still there.

Changed in evolution:
status: Fix Committed → Triaged
Changed in evolution:
status: New → Confirmed
nils (nilsdck) wrote :

Hi,

The same problem happened to me this morning and I am a little in panic...

No messages are appearing in my inbox (including over 20 unread messages - I'm using POP) and I do not have a windows computer so I cannot solve my problem the was fgossart did...

Is there any way of making the available space bigger? or any other solution to this problem not involving windows?

Thanks for your help in advance

bazooka (chris-agweb) wrote :

I am having same problem. Bug not fixed.

my sys:
i386
Hardy
evo ver 2.22.2

nocturrne (nocturrne) wrote :

I have the same problem every 6 months or so. This lame bug has been around since at least 2005. Please fix it.

Ubuntu Gutsy 7.10
Evolution 2.12.1

The best workaround I have found is to use archivemail to archive the old mail in the file, reducing the file size.

install archivemail:

sudo apt-get install archivemail

archive all mail older than 90 days:

archivemail -d90 ~/.evolution/mail/local/yourmailfile

After doing this, the file size is reduced way below 2GB, so it will open the next time you start evolution. If you like you can decompress the archive file and import it into another folder in evolution - takes a while though...

Regards

Dox (doxola) wrote :

Same issue as described above by Bazooka and others.

my sys:
i386
Hardy
evo ver 2.22.2

I used it with my gmail account (coincidence that I just reached/exceeded 2GB, I suppose)

Trying Nocturrne's workaround (although I do have access to XP and Mac systems). I have only used Evo since installing Hardy (maybe for a month or so).

Someone proposed an "auto archive" or similar function in Evolution...I'm all for that.

Thanks!

Anoop P B (anoop-pb) wrote :

An "auto archive" function in Evolution would be great. M$ Outlook provides this feature since many versions.

Meanwhile, I have written a script that will recursively archive old mails and retain your evolution folder structure in archive (unlimited levels of sub-folders under your Inbox are supported).

The script depends on the "archivemail" package - so ensure that you have this package installed.
By default, it archives all mail older than 365 days into an "archives" sub-folder under the user's home folder (but these can be easily changed if you are familiar with shell scripting)
Each time you run the script, it will create a date-wise folder under the archives folder. Your archived evolution structure is kept here.

To restore, currently, you will need to manually copy back the archived folders into /home/<user>/.evolution/mail/local

If more people find this script useful, I might improve it with the help of zenity or python to make it more user-friendly.

jashk (gonzalo-bustamante) wrote :

Hello,
I've got the same problem.
I've installed archivemail and done what "nocturrne" suggests, but it sent me the following message:

chalo@gonzalo:~$ archivemail -d500 /home/chalo/.evolution/mail/local/Inbox
Traceback (most recent call last):
  File "/usr/bin/archivemail", line 1611, in <module>
    main()
  File "/usr/bin/archivemail", line 708, in main
    archive(mailbox_path)
  File "/usr/bin/archivemail", line 1156, in archive
    _archive_mbox(mailbox_name, final_archive_name)
  File "/usr/bin/archivemail", line 1227, in _archive_mbox
    retain.write(msg)
  File "/usr/bin/archivemail", line 388, in write
    self.mbox_file.write(body)
IOError: [Errno 28] No space left on device
Exception exceptions.IOError: (28, 'No space left on device') in <bound method GzipFile.__del__ of <gzip open file '/tmp/tmp1VjWekarchivemail/tmpvt3cF-archive.gz', mode 'ab' at 0x82c3380 0x82cdcac>> ignored

So, I've got no enough space on my hard disk. It seems that archivemail creates a copy of the original file and that's why it takes too much space for me.
I also tried importing my Inbox from Kmail, but I had the same problem: space left in my hard disk is not enough as it creates a copy of every file from Evolution.

Any other solution while I try to liberate space from my hard disk?
thanks

Greg Nickoloff (gnicko) wrote :

Nocturne's method (6/29) worked fine for me. Thanks!

Would like to see an auto-archive function!

Thanks again!

jashk (gonzalo-bustamante) wrote :

Finally I did what "Nocturnne" suggests and now Evolution (or I should say all my inbox mails) is back again.
I couldn't find another solution and even if it's not the best solution, at least it works.
If anybody knows a better solution please post it.
I think it should be said before getting to 2 gigas that this is going to happen, so to prevent it to happen.
good luck to everybody

osviweb (omauro) wrote :

I have the same problem
So if I've understood right Evolution cannot handle folders more than 2gb of size?

My outlook inbox is more than 5gb because I use it for hard work and I may not split it.
This could be a stopshow in ubuntu for me :-(

Why make a email client that have this big limitation?

leoperbo (leoperbo) wrote :

The same problem here and I can't believe it... Nocturnne's workaround is ok, but Evolution team must put hands on to fix this "feature", people won't take this program seriously until that.

C de-Avillez (hggdh2) wrote :

Please comment on the upstream bug. Upstream needs to know about that. Please -- be nice.

JohnT (taylorjs) wrote :

Traceback (most recent call last):

Here are the errors I received when I tried to run the archivemail command. At the bottom you'll see that it's a space issue. Can any one help? I have backed-up the InBox file. Has anyone tried deleting it completely to see if Evolution will function properly again? Of course there's still the issue of reading that file or getting rid of old messages without openning it.

File "/usr/bin/archivemail", line 1475, in ?
    main()
  File "/usr/bin/archivemail", line 691, in main
    archive(mailbox_path)
  File "/usr/bin/archivemail", line 1130, in archive
    _archive_mbox(mailbox_name, final_archive_name)
  File "/usr/bin/archivemail", line 1222, in _archive_mbox
    archive.finalise()
  File "/usr/bin/archivemail", line 610, in finalise
    shutil.copy2(self.mbox_file_name, final_name)
  File "/usr/lib/python2.4/shutil.py", line 92, in copy2
    copyfile(src, dst)
  File "/usr/lib/python2.4/shutil.py", line 48, in copyfile
    fdst = open(dst, 'wb')
IOError: [Errno 28] No space left on device: 'Inbox_archive.gz'

Thanks,

John

Sebastien Bacher (seb128) wrote :

the new comment is not an evolution issue

jashk (gonzalo-bustamante) wrote :

Hey JohnT,
I had exactly the same problem and the only way to resolve that was deleting enought files to allow archivemail to handle 4 gigas (two for the Inbox file and two others for backing up it seems). Once I had space enough it worked well.
So, you need to make more space on your hard disk.
If you delete Inbox you will lose all your mails placed on inbox. Evolution will work but it won't show you your emails from Inbox (because you deleted them). All the other folders you have will be shown without any problem.
Good luck
Jashk

JohnT (taylorjs) wrote :

Thanks Jashk,

It turns out that I wasn't suffering from the 2GB inbox issue afterall.
The whole /shared folder (includes home directories, which have inbox
files) was full. So, evolution wasn't able to work with the Inbox file,
not because it was too big, but because the whole computer filesystem
was compromised due to a lack of space.

We dealt with that (but only after I had openned the Inbox in vi
(editor) and deleted half of it (simply by removing half of the lines in
the file). I made a backup (or at least I thought I did), but that
didn't work (due to a full filesystem).

So, after clearing a lot of space, I hoped evolution would be back in
business. Initially it wasn't. Next step: Rename Inbox index files
and restart evolution allowing it to rebuild index files for the now
half-size Inbox. This took some time but worked. I am missing half of
my Inbix, but that's all mail that's more than a year old. I think I
can live without it.

I think this foolishness might be informative for some people (I am
probably not the first person to misdiagnose the problem); I am
considering posting it. Also, because I thought my problem was due to
the 2GB Inbox size limitation, I learned about archivemail, something I
hadn't heard of until now.

I do have one remaining issue. Evolution crashes when I shut it down.
I don't know why, but so far I haven't found any negative consequences.

Cheers,

John

On Fri, 2008-12-12 at 22:11 +0000, jashk wrote:
> Hey JohnT,
> I had exactly the same problem and the only way to resolve that was deleting enought files to allow archivemail to handle 4 gigas (two for the Inbox file and two others for backing up it seems). Once I had space enough it worked well.
> So, you need to make more space on your hard disk.
> If you delete Inbox you will lose all your mails placed on inbox. Evolution will work but it won't show you your emails from Inbox (because you deleted them). All the other folders you have will be shown without any problem.
> Good luck
> Jashk
>

what nocturrne wrote on 2008-06-30: is the solution. i installed archivemail and archived all my emails older than 90 days. It worked like a charm, big time

Mahmoud (mmaw4u) wrote :

Dear all, i have just recently run into this problem and i was helped by the suggestion of using evolution in windows. It lead me to better understand how evolution works and stores emails. Outlook, for those familiar with it, which stores all emails in one file unless other wise specified by the user. Evolution, on the other hand, creates a file for every folder the user create. For example, you normally begin with an Inbox folder and all emails in that folder will be stored in a file named Inbox and its location is userhomefolder/.evolution/mail/local (note that userhomefolder is named after yuor user name and .evolution is a hidden folder). So if you create another folder XYZ under the Inbox.sbd folder, Evolution will create a file named XYZ to store the emails in the XYZ folder and will also create a folder Inbox where the newly created XYZ file will be created for the file XYZ will be located in userhomefolder/.evolution/mail/local/Inbox.sbd. That is it for the geography lesson. As for the size, I think that whenever any single file size grow over 2GB it will cause a problem. It should take a long time to happen but the REASON why my Inbox went over 2GB was that the only folder for which there is no corresponding file to store emails is the Trash folder. All emails in the Trash are stored in the folder file from which they originate. A big part of the reason is what I think is a real BUG in Evolution, which is whenever you move emails from the Inbox or any folder to another folder for organization sake, Evolution copy it to the Trash folder. This means that it keeps the moved email stored in the original folder file even though it does not appear in the folder any more. This also happens when an email is sent if saved during composition or before sending at any stage. So the key to not go through this again is to empty the Trash folder periodically and also monitor the files storing you emails on your hard drive not to allow them to reach 2GB and you do that by starting a new serial folder like XYZ, XYZ1 and so on.

Luis Carlos Cobo (luiscarlos) wrote :

Is this problem still present in 9.04? I do not think expecting the user to track if the mailbox size is getting close to 2GB and split the folder in smaller ones if that is the case is an acceptable solution.

irvken (seankenny) wrote :

On Tue, Apr 7, 2009 at 10:13 PM, Luis Carlos Cobo <email address hidden> wrote:
> Is this problem still present in 9.04? I do not think expecting the user
> to track if the mailbox size is getting close to 2GB and split the
> folder in smaller ones if that is the case is an acceptable solution.
>
> --
> 2 gb max inbox
> https://bugs.launchpad.net/bugs/197290
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Can't tell you, I'm still using 8.04 and have just come up against this bug!

Seab

nocturrne (nocturrne) wrote :

I rechecked this today and confirmed the bug still has not been fixed - although, it has changed slightly.

Evolution 2.24.3
Ubuntu 8.10
2.6.27-11-generic

Evo now gives an error message and does not allow the creation of folders larger than 2GB.

Error Msg:
"Cannot append message to mbox file: /home/user/.evolution/mail/local/mail.sbd/2Gtest: File too large"

When you reach this point, you have to manually make a new folder and a filter setting to route incoming mail there.

I guess this is a little better than having the folder mysteriously stop working. :)

Luis Carlos Cobo (luiscarlos) wrote :

Yes, at least it avoids the big mess. Can you confirm that it does the right thing in the POP server (do not delete messages that could not be appended)?

David Clayton (dcstar) wrote :

As far as I can see this only affects 32 bit distros - my 64 bit 8.04 install can have Evolution files over 2GB.

Cody Russell (bratsche) wrote :

So, my mom's Ubuntu Hardy (yeah I know, old) machine has this problem and I took a look at it this morning. I think it works now. I changed one line in the configure file for the libcamel1.2-whatever package:

LARGEFILE_CFLAGS="-D_LARGEFILE64_SOURCE"

gets changed to:

LARGEFILE_CFLAGS="-D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"

Then rebuilt the package and installed it on my mom's computer, and it seems to be working fine now.

C de-Avillez (hggdh2) wrote :

Hi Cody,

Thank you for your comment. Can you give me a diff of the changes? This is good news, and I would like to prepare a test package for it.

Cody Russell (bratsche) wrote :

This was made against the Hardy package, since my mom's machine is using LTS.

Cody Russell (bratsche) wrote :

I looked at the configure file for Jaunty and it looks like this should already be fixed in Jaunty. I ran configure to check the output and I saw:

checking for _FILE_OFFSET_BITS value needed for large files... 64

Which is what we want. So probably my fix only applies to releases older than Jaunty.

Olivier Tilloy (osomon) wrote :

Is there any chance the patched package will install fine on Gutsy, or that the package will be backported there as well?
My Mom's computer has been running Gutsy for ages and she ran into this issue a week ago.

Luis Carlos Cobo (luiscarlos) wrote :

Thanks for the research Cody!! Are you talking about 32 bit Jaunty? Have you indeed an inbox over 2gb with no problems?

C de-Avillez (hggdh2) wrote :

OK, I found what goes on. On Hardy Evolution (and, specifically, Evolution-data-server, the package affected by this) is at version 2.22.3. The first part of the fix (SVN commit 8619 upstream) for this was released on 2.22.3, but the second part (SVN commit 8625) -- adding the _FILE_OFFSET_BITS=64 -- did not make it.

And... 2.22.3 is the last released evolution version at the 2.22 level...

I will prepare a test EDS package for Hardy (and, when available, it will be in my PPA), with the second piece of the puzzle. I will add a comment here when the package is available.

BUT: please be aware that there are questions upstream if this indeed solves the issue.

C de-Avillez (hggdh2) wrote :

evolution-data-server - 2.22.3-0ubuntu4~ppa1 is available on my PPA (https://edge.launchpad.net/~hggdh2/+archive/ppa). Please follow the instructions on the page to install it.

Please update *ALL* EDS packages you have installed, for consistency.

This is a release for Hardy *ONLY*. I used the first part of Cody's patch (the change to configure) only, since we do not run autotools on build. For the record, the patch is called 05_large-file-support-autoconf.patch, and is under the usual place on the source.

Please test & report back. If we get positive responses, we may consider a SRU for it.

Again, thanks to Cody.

description: updated
Cody Russell (bratsche) wrote :

C: Wow, thanks so much for getting a PPA build of this so fast! That's great.

Luis: I probably have over 2gb on my Jaunty desktop, but it's in a box for the next few days since I've been moving. So I can't actually verify it right now. I just took a peek at the configure.in file for e-d-s in Jaunty and it appeared to be fixed.

If this fixes everything, then it would be great to get it backported to everything prior to Jaunty that needs it. Looks like C is on top of that stuff, so many thanks to him.

I've seen this issue for awhile, but in the past just used the quick-fix of archiving the mail using the script someone posted above somewhere. But my mom doesn't want to run scripts, and we shouldn't be expecting our users to do ridiculous things like that. So my mom ran into the issue again recently, but I didn't know how to describe to her over the phone how to find and run that script. I was visiting today so I took the opportunity this morning while I could reproduce the problem to try to find out a solution. Hopefully this works for everyone.

C de-Avillez (hggdh2) wrote :

@Olivier: I very much doubt it would be ported to Gutsy: Gutsy already reached end-of-life, and is no longer supported. Additionally, Gutsy ran Evolution 2.20, and it *may* be quite some work to backport the patches.

I am sorry.

Olivier Tilloy (osomon) wrote :

Don't be :)
That's one more good reason to seriously consider upgrading my mom's machine to Jaunty, although living 1000km from her won't help.

C de-Avillez (hggdh2) wrote :

All: I am still waiting for feedback; we will not consider an update for Hardy until we have more than one positive vote here. The more the better...

Luis Carlos Cobo (luiscarlos) wrote :

I am very sorry to state that the problem is not fixed in Jaunty (32 bits). I just did the test, make a a new folder and copy messages to it until you are going to get over 2GB. Then you get the "Cannot append message to mbox file: /home/luisca/.evolution/mail/local/Inbox.sbd/AAPrueba: File too large"

Cannot believe this is still there after a year and a half.

In my case the Sent Items folder is near the 2Gb limit. What then happens is that mail is resent because it cannot moved from the Outbox to the Sent Items. Is this an additional/new bug?

Michael Gebhart (miketech) wrote :

Hi, same problem here. Ubuntu Jaunty, Evlution 2.26.1.

Luis Carlos Cobo (luiscarlos) wrote :

The problem is still present in Karmic.

akolahi (akolahi) wrote :

Yes, confirm that as of 9.10 Karmic beta issue is still there :(

mosu (mosu) wrote :

Also present in Debian unstable :)
Evolution 2.28.0

and I just had a laugh on a friend with outlook showing same problem (mailbox exceeded 2G and unable to receive further emails)

I solved my problem by creating some folders and filtered mails to go into that folders followed by empty trash action. Inbox size decreased at the end at 1.2G, now it works like a charm. Still an unpleasant surprise .

Regards

akolahi (akolahi) wrote :

My work around was to create subfolders such as 2004, 2005, 2006 etc and move mail from those dates to the respective folder. Then from folder click on Expunge.

My original hesitation in doing this was that i worried that moving items to a sub-folder and 'expunging' them, would delete them from the server (like in IMAP). Since i'm using pop3 and have the setting to leave a copy on the server... it appears to not mess things up on the server, but only make the change locally.

David Clayton (dcstar) wrote :

I believe that 64-bit versions do not have this 2GB limit. I seem to recall doing tests to confirm this a couple of years ago when I moved to 64-bit Ubuntu.

Fabián Rodríguez (magicfab) wrote :

I've marked Bug #118820 as a duplicate of this one. I also checked upstream, still an issue there. I havea confirmation of this in Ubuntu 9.10. Can someone confirm this still happens in 10.04 LTS ? We may be able to get a fix i the next point release or an SRU if that's the case.

Matthew Smith (mtgsmith) wrote :

I can confirm that the bug still exists in 10.04 LTS -- and indeed in the 64-bit version.
BTW, is there any solution for those unwilling to install Evolution on Windows, following the instructions above?

David Futcher (bobbo) wrote :

The patch in this bug report was committed to GNOME but it turns out that it hasn't fixed the problem. I am therefore going to remove the patch from this bug report, to keep this off the radar of the Ubuntu Patch Reviewers team. For historical purposes, you could still read the original patch in the GNOME bug report, linked to at the top of this page.

David White (davidwwhite) wrote :

Hi everyone.

It appears this is still a problem in 10.04. Over the weekend my evolution stopped receiving email in my inbox, checked the directory and found the file size was greater than 2 gb. So I archived the mails, deleted the original files, and restarted evolution but this did not work, nor did removing the account. So I just reinstalled evolution and thats working now. Is there a fix yet?

Changed in evolution:
status: Confirmed → Fix Released
Luis Carlos Cobo (luiscarlos) wrote :

Will this fix be included in Maverick?

Changed in evolution:
importance: Unknown → Critical
Alfredo Matas (amatas) wrote :

This bug is also in the evolution version 2.30.3-1ubuntu7 that is in Maverick.

Alfredo Matas (amatas) wrote :

The version provided by this ppa: https://launchpad.net/~jacob/+archive/evo230 fix this bug, but this ppa only has a version for lucid.

Paulo Silva (paulojjs-gmail) wrote :

Any plans on releasing an update to fix the evolution in Maverick?

Aleksandr (gpost-alex) wrote :

Jacob repository is not accesseble anymore:

https://launchpad.net/~jacob/+archive/evo230 - Access Denided

sudo add-apt-repository ppa:jacob/evo230
Error: can't find signing_key_fingerprint at https://launchpad.net/api/1.0/~jacob/+archive/evo230

http://ppa.launchpad.net/jacob/evo230/ubuntu/dists/ is empty (it's repository for /etc/apt/sources.list)

Does this fix accesseble somwhere?

Jörg Frings-Fürst (jff-de) wrote :

change status to Fix released (see gnome-bugs)

Changed in evolution (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.